/*
 * Copyright (c) 2023, networkException <git@nwex.de>
 *
 * SPDX-License-Identifier: BSD-2-Clause
 */

import { Inspectable } from './inspectable.js';

export abstract class Property extends Inspectable {
    public abstract equals(other: Property): boolean;
    public abstract apply(element: HTMLElement): void;
}
